"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bindJsonSchemas = bindJsonSchemas;
var _schema = /*#__PURE__*/require("@traversable/schema");
var JsonSchema = /*#__PURE__*/_interopRequireWildcard(/*#__PURE__*/require("./jsonSchema.js"));
function _getRequireWildcardCache(e) {
  if ("function" != typeof WeakMap) return null;
  var r = new WeakMap(),
    t = new WeakMap();
  return (_getRequireWildcardCache = function (e) {
    return e ? t : r;
  })(e);
}
function _interopRequireWildcard(e, r) {
  if (!r && e && e.__esModule) return e;
  if (null === e || "object" != typeof e && "function" != typeof e) return {
    default: e
  };
  var t = _getRequireWildcardCache(r);
  if (t && t.has(e)) return t.get(e);
  var n = {
      __proto__: null
    },
    a = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) {
    var i = a ? Object.getOwnPropertyDescriptor(e, u) : null;
    i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u];
  }
  return n.default = e, t && t.set(e, n), n;
}
const Object_assign = globalThis.Object.assign;
const def = {
  never: _schema.t.never.def,
  any: _schema.t.any.def,
  unknown: _schema.t.unknown.def,
  void: _schema.t.void.def,
  null: _schema.t.null.def,
  undefined: _schema.t.undefined.def,
  symbol: _schema.t.symbol.def,
  boolean: _schema.t.boolean.def,
  integer: _schema.t.integer.def,
  bigint: _schema.t.bigint.def,
  number: _schema.t.number.def,
  string: _schema.t.string.def,
  eq: _schema.t.eq.def,
  optional: _schema.t.optional.def,
  array: _schema.t.array.def,
  record: _schema.t.record.def,
  union: _schema.t.union.def,
  intersect: _schema.t.intersect.def,
  tuple: _schema.t.tuple.def,
  object: _schema.t.object.def,
  of: _schema.t.of.def
};
function bindJsonSchemas() {
  void (_schema.t_never.toJsonSchema = JsonSchema.NeverSchema.toJsonSchema);
  void (_schema.t_unknown.toJsonSchema = JsonSchema.UnknownSchema.toJsonSchema);
  void (_schema.t_any.toJsonSchema = JsonSchema.AnySchema.toJsonSchema);
  void (_schema.t_void.toJsonSchema = JsonSchema.VoidSchema.toJsonSchema);
  void (_schema.t_null.toJsonSchema = JsonSchema.NullSchema.toJsonSchema);
  void (_schema.t_undefined.toJsonSchema = JsonSchema.UndefinedSchema.toJsonSchema);
  void (_schema.t_boolean.toJsonSchema = Object_assign(def.boolean, JsonSchema.BooleanSchema).toJsonSchema);
  void (_schema.t_symbol.toJsonSchema = Object_assign(def.symbol, JsonSchema.SymbolSchema).toJsonSchema);
  void (_schema.t_integer.toJsonSchema = Object_assign(def.integer, JsonSchema.IntegerSchema).toJsonSchema);
  void (_schema.t_bigint.toJsonSchema = Object_assign(def.bigint, JsonSchema.BigIntSchema).toJsonSchema);
  void (_schema.t_number.toJsonSchema = Object_assign(def.number, JsonSchema.NumberSchema).toJsonSchema);
  void (_schema.t_string.toJsonSchema = Object_assign(def.string, JsonSchema.StringSchema).toJsonSchema);
  void (_schema.t_eq.def = (x, options) => Object_assign(def.eq(x, options), JsonSchema.EqSchema(x)));
  void (_schema.t_optional.def = x => Object_assign(def.optional(x), JsonSchema.OptionalSchema(x)));
  void (_schema.t_record.def = x => Object_assign(def.record(x), JsonSchema.RecordSchema(x)));
  void (_schema.t_array.def = x => Object_assign(def.array(x), JsonSchema.ArraySchema(x)));
  void (_schema.t_union.def = xs => Object_assign(def.union(xs), JsonSchema.UnionSchema(xs)));
  void (_schema.t_intersect.def = xs => Object_assign(def.intersect(xs), JsonSchema.IntersectSchema(xs)));
  void (_schema.t_tuple.def = (xs, options) => Object_assign(def.tuple(xs, options), JsonSchema.TupleSchema(xs)));
  void (_schema.t_object.def = (xs, options) => Object_assign(def.object(xs, options), JsonSchema.ObjectSchema(xs)));
}
//# sourceMappingURL=bind.js.map